List pre-authorization requests
curl --request GET \
--url https://api.clinikehr.com/v1/clinics/{clinic_id}/insurance/pre-authorizations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clinikehr.com/v1/clinics/{clinic_id}/insurance/pre-authorizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clinikehr.com/v1/clinics/{clinic_id}/insurance/pre-authorizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_number": "<string>",
"insurance_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft",
"insurance_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enrollee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"patient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"encounter_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_type": "service",
"priority_level": "routine",
"estimated_cost": 123,
"approved_amount": 123,
"pa_code": "<string>",
"pr_code": "<string>",
"is_approved": true,
"is_handled": true,
"handled_at": "2023-11-07T05:31:56Z",
"rejection_reason": "<string>",
"encounter_date": "2023-11-07T05:31:56Z",
"admission_start": "2023-11-07T05:31:56Z",
"admission_end": "2023-11-07T05:31:56Z",
"is_floating": true,
"submitted_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"item_type": "<string>",
"description": "<string>",
"tariff_code": "<string>",
"quantity": 123,
"unit_cost": 123,
"total_cost": 123,
"diagnosis": "<string>",
"icd_cpt_code": "<string>",
"medical_necessity": "<string>",
"approval_status": "<string>",
"is_approved": true,
"reject_reason": "<string>"
}
],
"diagnoses": [
{
"icd_code": "<string>",
"name": "<string>",
"is_primary": true
}
]
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}HMO insurance
List pre-authorization requests
Permission: insurance.pa:read
List pre-authorization requests sent to your insurer.
Requests the clinic has sent for authorization (and their outcome). Requests still in the clinic’s draft or review stages are never shown to an insurer. A clinic-owned key sees all of its clinic’s requests.
GET
/
v1
/
clinics
/
{clinic_id}
/
insurance
/
pre-authorizations
List pre-authorization requests
curl --request GET \
--url https://api.clinikehr.com/v1/clinics/{clinic_id}/insurance/pre-authorizations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clinikehr.com/v1/clinics/{clinic_id}/insurance/pre-authorizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clinikehr.com/v1/clinics/{clinic_id}/insurance/pre-authorizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_number": "<string>",
"insurance_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft",
"insurance_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enrollee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"patient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"encounter_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_type": "service",
"priority_level": "routine",
"estimated_cost": 123,
"approved_amount": 123,
"pa_code": "<string>",
"pr_code": "<string>",
"is_approved": true,
"is_handled": true,
"handled_at": "2023-11-07T05:31:56Z",
"rejection_reason": "<string>",
"encounter_date": "2023-11-07T05:31:56Z",
"admission_start": "2023-11-07T05:31:56Z",
"admission_end": "2023-11-07T05:31:56Z",
"is_floating": true,
"submitted_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"item_type": "<string>",
"description": "<string>",
"tariff_code": "<string>",
"quantity": 123,
"unit_cost": 123,
"total_cost": 123,
"diagnosis": "<string>",
"icd_cpt_code": "<string>",
"medical_necessity": "<string>",
"approval_status": "<string>",
"is_approved": true,
"reject_reason": "<string>"
}
],
"diagnoses": [
{
"icd_code": "<string>",
"name": "<string>",
"is_primary": true
}
]
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Available options:
draft, ai_reviewed, reviewed, sent_for_authorization, approved, denied, expired, cancelled Required range:
1 <= x <= 100